Skip to navigation

Update an Oligo

Deprecated
Update an Oligo

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

oligo_idstringRequired

Request

This endpoint expects an object.
aliaseslist of stringsOptional
Aliases to add to the Oligo
authorIdslist of stringsOptional
IDs of users to set as the Oligo's authors.
basesstringOptional
Base pairs of the oligo.
customFieldsmap from strings to objectsOptional
Custom fields to add to the Oligo. Every field should have its name as a key, mapping to an object with information about the value of the field.
fieldsmap from strings to objectsOptional
Fields to set on the Oligo. Must correspond with the schema's field definitions. Every field should have its name as a key, mapping to an object with information about the value of the field.
folderIdstringOptional
ID of the folder containing the Oligo.
namestringOptional
Name of the Oligo.
schemaIdstringOptional
ID of the oligo's schema.

Response

OK

Errors

400
Bad Request Error